Skip to main content
GET
/
payins
List payins
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/payins \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 1,
  "last_page": 5,
  "per_page": 15,
  "total": 73,
  "from": 1,
  "to": 15,
  "data": [
    {
      "id": 123,
      "self": "/2.0/payins/456",
      "reference": "<string>",
      "type": "<string>",
      "subtype": "<string>",
      "status": "CREATED",
      "provider": {},
      "tag": "<string>",
      "direct_link": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "confirmed_at": "2023-11-07T05:31:56Z",
      "denied_at": "2023-11-07T05:31:56Z",
      "connections": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
per_page
integer
default:15

Number of results per page.

Required range: 1 <= x <= 100

Field to search by (e.g. email, tag).

query
string

Search term to filter by.

date_begin
string<date>

Start date filter (ISO 8601).

Example:

"2024-01-01"

date_end
string<date>

End date filter (ISO 8601).

Example:

"2024-12-31"

order
string
default:created_at

Field to sort results by.

sort
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

200 - application/json

Paginated list of payins

current_page
integer
Example:

1

last_page
integer
Example:

5

per_page
integer
Example:

15

total
integer
Example:

73

from
integer
Example:

1

to
integer
Example:

15

data
object[]